API ReferenceManagementLists
POST
/v1/mgmt/list/update

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Request Body

application/json

id?string
name?string
description?string
type?string
data?unknown

Represents a dynamically typed value which can be either null, a number, a string, a boolean, a recursive struct value, or a list of values.

Update an existing list

curl -X POST "https://api.descope.com/v1/mgmt/list/update" \  -H "Content-Type: application/json" \  -d '{}'
{  "list": {    "id": "string",    "name": "string",    "description": "string",    "type": "string",    "data": null  }}
export interface Response {/** * Lists */list?: {id?: stringname?: stringdescription?: stringtype?: string/** * Represents a dynamically typed value which can be either null, a number, a string, a boolean, a recursive struct value, or a list of values. */data?: {[k: string]: unknown}}}
Was this helpful?